The name for Northern Sami should be changed on www.wikipedia.org
Closed, ResolvedPublic

Description

Since the name was changed from "Sámegiella" to "Davvisámegiella" in T156589, the same change should be made on the Wikipedia.org portal. Uploading patch shortly.

jhsoby created this task.Oct 25 2017, 10:19 AM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 25 2017, 10:19 AM

Change 386354 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[wikimedia/portals@master] Changing name for Northern Sami on www.wikipedia.org portal

https://gerrit.wikimedia.org/r/386354

Thank you for this contribution.

The language names on the www.wikipedia.org portal are actually taken from translatewiki now.
I've updated the message from "Sámegiella" to "Davvisámegiella" on translatewiki here:
https://translatewiki.net/w/i.php?title=Special:Translate&filter=&group=wikimedia-portals&task=custom&language=se&action=translate&optional=1
and this change will be reflected in our next portal deploy.

Change 386354 abandoned by Jdrewniak:
Changing name for Northern Sami on www.wikipedia.org portal

Reason:
this change was made through translatewiki instead of in the 'prod' directory.

https://gerrit.wikimedia.org/r/386354

debt triaged this task as Normal priority.
jhsoby reassigned this task from jhsoby to Jdrewniak.Oct 25 2017, 9:28 PM
jhsoby closed this task as Resolved.

@Jdrewniak Ah, I wasn't aware of that (obviously). Thanks for fixing! Setting to resolved then.

debt reopened this task as Open.Nov 2 2017, 4:02 PM
debt added a subscriber: debt.

Re-opening this - as we did the change after the last update from translatewiki (Oct 23). It'll be picked up and put into production during our next push to production.

debt added a subscriber: Nikerabbit.

@Nikerabbit - this update isn't in the latest localization updates, can you check on it's status? Thanks!

The reason is that the language does not meet the default export threshold of 35%. The question is what should we do? Lower the threshold for portals?

debt added a comment.Nov 7 2017, 11:25 PM

How many additional languages would we add if we lowered the threshold to, say, 30%?

debt added a comment.Nov 8 2017, 7:08 PM

Ahhh, that makes sense.

@jhsoby would you be able to do more of the translations for Davvisámegiella so that the overall prevelance of the translations can be brought into the Portal?

Here's the link to all the untranslated words and phrases: https://translatewiki.net/w/i.php?title=Special:Translate&group=wikimedia-portals&language=se&filter=%21translated&action=translate

@debt Done by translating simple strings I could do with a dictionary, and strings that wouldn't change when translated, so it's at 41 % now.

That's great, thanks @jhsoby! It should get picked up and released into production with our next push. :)

debt closed this task as Resolved.Nov 20 2017, 8:17 PM

This was updated in production on Nov 20, 2017:

@debt The order is still wrong, though. It should appear in front of "Deitsch" in the list.

debt reopened this task as Open.Nov 20 2017, 9:34 PM
debt moved this task from Done to Needs code review on the Discovery-Portal-Sprint board.

Whoops - we'll get this fixed!

Change 392618 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Updating stats and translations

https://gerrit.wikimedia.org/r/392618

Change 392618 merged by jenkins-bot:
[wikimedia/portals@master] Updating stats and translations

https://gerrit.wikimedia.org/r/392618

debt moved this task from Needs code review to Done on the Discovery-Portal-Sprint board.
debt closed this task as Resolved.

This has been fixed now - it ended up being a small text update had been missed in the translation files.

jhsoby-WMNO moved this task from Incoming to Done on the WMNO-Northern-Sami board.